@echo off
echo       (C) Gleb Vdovin 1993-1995
echo       This file is a part of LightPipes beta distribution
rem       

rem model of a screen with two round holes
	begin 0.005 0.55e-6 512 > beam

rem Three circular apertures:
       circ_ap 0.00012 -0.0005 -0.00025 < beam > beam1
       circ_ap 0.00012 0.0005  -0.00025 < beam > beam2
       circ_ap 0.00012 0.       0.00025 < beam > beam3
rem Mixing three beams, rewriting initial beam:
       b_mix beam1 < beam2 | b_mix beam3 > beam

rem writing  Postscript Picture in0r.ps
	file_ps young2.ps 128 < beam  > null

rem propagation 0.75 m and second file in1r.ps
	forvard 0.75 < beam  | file_ps young3.ps 128 > null

rem removing all beam files
	del beam 
	del beam1 
	del beam2 
	del beam3

rem all done
